[**@rxap/material-table-system v19.0.2-dev.1**](../README.md)

***

[@rxap/material-table-system](../globals.md) / RawTableRow

# Type Alias: RawTableRow\<T\>

> **RawTableRow**\<`T`\>: `Omit`\<`T`, `"__metadata__"` \| `"__rowId"`\> & `Partial`\<`Pick`\<[`TableRowMetadata`](../interfaces/TableRowMetadata.md), `"__rowId"` \| `"__metadata__"`\>\>

Defined in: [packages/angular/material/table-system/src/lib/table-row-metadata.ts:16](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/table-row-metadata.ts#L16)

## Type Parameters

• **T** *extends* [`TableRowMetadata`](../interfaces/TableRowMetadata.md)
